perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexander Hartmaier" <Alexander.Hartma...@t-systems.at>
Subject Re: Re: Re: Embperl 2.0cvs or 1.3.6 with Apache 2.0 and Perl 5.8.0
Date Mon, 16 Jun 2003 12:24:09 GMT


Reply to myself ;-)

I get the following error if i try to execute '/usr/local/apache2/bin/apachectl
start' and start my self-compiled apache 2.0.46 with mod_perl 1.99_09:

Cannot load
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Embperl/Embperl.so
into server:
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/auto/Embperl/Embperl.so:
undefined symbol: Perl_gv_stashpv

Does anybody know what I did wrong?

THX Alex





Alexander.Hartmaier@t-systems.at (Alexander Hartmaier) am 16.06.2003 13:40:04

An:   embperl@perl.apache.org
Kopie:     (Blindkopie: Alexander Hartmaier/DEBIS/EDVG/AT)

Thema:    Re: Re: Embperl 2.0cvs or 1.3.6 with Apache 2.0 and Perl 5.8.0





Hi list!

I just compiled apache 2.0.46 with mod_perl-1.99_09 on my redhat linux 9 box
(same specs as belows sys) and run Embperl 2.0b9 with the new Makefile.PL from
Gerald (fixes the module_action -> module_actions change in apache2)......

----------------------------------------------------
#12 error.htm...
Error in Line 8
Is:     >[7383]ERR: 32: Warning in Perl code: Bareword found where operator
expected at /opt/nac/Embperl-2.0b9/test/html/error.htm line 46, near
&quot;$error is&quot;<
Should: >^\[.*?\]ERR: 32: Warning in Perl code: Unquoted string
&quot;qqqqqqqqqqqqqq&quot; may clash with future reserved word<
Input:          test/html/error.htm
Output:         test/tmp/out.htm
Compared to:    test/cmp/error.htm
Log:            test/tmp/test.log
Testparameter:
  errors = 5
  version = 2
  repeat = 3

 ERRORS detected! NOT all test have been passed successfully

make: *** [test_dynamic] Error 8
----------------------------------------------------

Seems that the error is still there...what do you think Gerald???

Greetings, Alex





richter@ecos.de (Gerald Richter) am 13.06.2003 20:24:05

An:   bryan.thale@motorola.com (Bryan Thale)
Kopie:    embperl@perl.apache.org (Blindkopie: Alexander
      Hartmaier/DEBIS/EDVG/AT)

Thema:    Re: Embperl 2.0cvs or 1.3.6 with Apache 2.0 and Perl 5.8.0



>
> RedHat Linux 9.0 (kernel 2.4.20-13.9)
> Apache 2.0.40-21.1
> Perl 5.8.0-88
> embperl_20030521223457
> mod_perl-1.99_07-5
>
> In addition, I've tried to build modperl-2.0_20030521223522 but it won't
> pass its tests either so I haven't installed or tried it with Embperl.
>

Since the test only fails under mod-perl and not in offline mode, could you
try to test it with

http://perl.apache.org/dist/mod_perl-1.99_09.tar.gz

Also I don't think that this is the problem, it maybe worse trying to
upgrade Apache (2.0.40 has a bunch of more or less important security
wholes, so you should upgrade anyway, at least on a production system)

Gerald



---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org






---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org






---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message